Bug 441027 - (ooolatex) Review Request: openoffice.org-ooolatex - Support for embedded LaTeX in Impress/Writer documents
Review Request: openoffice.org-ooolatex - Support for embedded LaTeX in Impre...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On: 440650
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-05 06:22 EDT by Alex Lancaster
Modified: 2013-07-17 08:01 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.0.0-0.5.beta2.fc8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-29 16:54:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tcallawa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2008-04-05 06:22:06 EDT
Spec URL: http://alexlan.fedorapeople.org/reviews/openoffice-ooolatex.spec
SRPM URL: http://alexlan.fedorapeople.org/reviews/openoffice.org-ooolatex-4.0.0-0.beta2.1.fc8.src.rpm
Description: 
This program allows the editing, display and saving of LaTeX equations inside
OpenOffice.org Writer and Impress documents

Note: there is currently a bug (bug 440650) in the F-8 version of unopkg in openoffice.org currently in updates-testing that prevents clean installation on F-8.  However, it should work on rawhide.
Comment 1 Alex Lancaster 2008-04-05 06:36:15 EDT
Also with the new texlive package in rawhide/F-9:

http://fedoraproject.org/wiki/Releases/FeatureTexLive

I'm not sure what the canonical requires for latex should be, so I used file
level requires, e.g.

Requires: /usr/bin/latex

it would be nice if there were Requires that would work the same on both rawhide
and on F-7 & F-8.
Comment 2 Alex Lancaster 2008-04-05 06:37:33 EDT
Cc'ing Caolan as the most experienced OOo extension packager for feedback.
Comment 3 Caolan McNamara 2008-04-05 09:22:53 EDT
FWIW, you could probably use 
echo yes | unopkg add --shared --link %{ooolatexext} || :
instead of patching out the "do you agree to GPL" foo to reduce the patch.

Maybe it'd be worth just unpacking it and applying the patch in %prep and doing
a standard copy of that tree in %install rather than unpacking %{SOURCE0} in
%install. Just to try and look as "normal" as possible.
Comment 4 Alex Lancaster 2008-04-06 07:51:29 EDT
reply to comment #3)
> FWIW, you could probably use 
> echo yes | unopkg add --shared --link %{ooolatexext} || :
> instead of patching out the "do you agree to GPL" foo to reduce the patch.
> 
> Maybe it'd be worth just unpacking it and applying the patch in %prep and doing
> a standard copy of that tree in %install rather than unpacking %{SOURCE0} in
> %install. Just to try and look as "normal" as possible.

Good idea, updated:

* Sun Apr  6 2008 Alex Lancaster - 4.0.0-0.beta2.2
- Requires -draw component to work and -writer or -impress to be useful.  
- Apply patch and install in more conventional way.  
- Supply "yes" to license script to avoid needing to patch description.xml

Spec URL: http://alexlan.fedorapeople.org/reviews/openoffice.org-ooolatex.spec
SRPM URL:
http://alexlan.fedorapeople.org/reviews/openoffice.org-ooolatex-4.0.0-0.beta2.2.fc8.src.rpm(In
Comment 5 Alex Lancaster 2008-04-06 07:54:25 EDT
(In reply to comment #4)

> SRPM URL:

should be:
 http://alexlan.fedorapeople.org/reviews/openoffice.org-ooolatex-4.0.0-0.beta2.2.fc8.src.rpm

Comment 6 Tom "spot" Callaway 2008-04-09 22:30:23 EDT
Two items of concern:
1. pkg-licence/gpl_GB.txt should be in %doc. Please fix before committing.
2. Your release version isn't quite right. It should be:
Release: 0.2.beta2%{?dist}

Look closely at:
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-d97a3f40b6dd9d2288206ac9bd8f1bf9b791b22a

Good:

- rpmlint checks return nothing
- package meets naming guidelines (except for Release)
- package meets packaging guidelines (OpenOffice.orgExtensions)
- license (GPLv2+) OK, matches source
- spec file legible, in am. english
- source matches upstream (928230a58c4d5678e579c78ea6ab6f0bf226d08b)
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Show me a spec with those items fixed, and I'll approve.
Comment 7 Alex Lancaster 2008-04-09 23:22:06 EDT
Spec url: http://alexlan.fedorapeople.org/reviews/openoffice-ooolatex.spec

* Wed Apr  9 2008 Alex Lancaster  - 4.0.0-0.3.beta2
- Fix Release
- Include license in %doc
Comment 8 Tom "spot" Callaway 2008-04-09 23:31:19 EDT
Perhaps you would like to upload the new spec file? The one there is not fixed. ;)
Comment 9 Alex Lancaster 2008-04-10 01:52:20 EDT
(In reply to comment #8)
> Perhaps you would like to upload the new spec file? The one there is not fixed. ;)

Umm, did you refresh the browser?  I didn't regenerate the SRPM.
Comment 10 Alex Lancaster 2008-04-10 01:53:31 EDT
Ah sorry, I posted the wrong link, it should have been:

http://alexlan.fedorapeople.org/reviews/openoffice.org-ooolatex.spec
Comment 11 Tom "spot" Callaway 2008-04-10 08:05:56 EDT
Looks good. APPROVED.

Don't forget to drop that comment about "unzipping", since you're not. ;)
Comment 12 Alex Lancaster 2008-04-10 08:27:18 EDT
New Package CVS Request
=======================
Package Name: openoffice.org-ooolatex
Short Description: Support for embedded LaTeX in Impress/Writer documents
Owners: alexlan
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 13 Kevin Fenzi 2008-04-10 13:36:07 EDT
cvs done.
Comment 14 Tom "spot" Callaway 2008-04-12 18:55:35 EDT
Please close this out once you've got builds.
Comment 15 Fedora Update System 2008-04-23 01:41:08 EDT
openoffice.org-ooolatex-4.0.0-0.5.beta2.fc8.1 has been submitted as an update for Fedora 8
Comment 16 Fedora Update System 2008-04-29 16:54:04 EDT
openoffice.org-ooolatex-4.0.0-0.5.beta2.fc8.1 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Orion Poplawski 2013-07-16 13:51:04 EDT
This package builds on EL6 and I'd like to see it in EPEL.  Alex, are you interested or shall I maintain it?
Comment 18 Alex Lancaster 2013-07-16 15:23:03 EDT
(In reply to Orion Poplawski from comment #17)
> This package builds on EL6 and I'd like to see it in EPEL.  Alex, are you
> interested or shall I maintain it?

Please do go ahead.  Feel free to make me co-maintainer.  Also are you interested in being the primary maintainer in Fedora as well?  I haven't had time to update it of late and the package may need some love.
Comment 19 Orion Poplawski 2013-07-16 15:33:38 EDT
Package Change Request
======================
Package Name: openoffice.org-ooolatex
New Branches: el6
Owners: orion alexlan
InitialCC: 

I'm not interesting in being a primary for Fedora, but I'll add myself.  It looks like upstream may be completely dead unfortunately, so I don't think there is much to update.
Comment 20 Alex Lancaster 2013-07-16 15:40:39 EDT
(In reply to Orion Poplawski from comment #19)

> I'm not interesting in being a primary for Fedora, but I'll add myself.

Thanks.

> It looks like upstream may be completely dead unfortunately, so I don't think
> there is much to update.

Yes, I thought that might be the case.  I was thinking that at least we might need to keep it building against LibreOffice if the extension API changes or somesuch.
Comment 21 Jon Ciesla 2013-07-17 08:01:40 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.